Bug 821406 - Review Request: eiskaltdcpp - QT Direct Connect client
Review Request: eiskaltdcpp - QT Direct Connect client
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
:
: 676943 (view as bug list)
Depends On:
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2012-05-14 07:50 EDT by Vasiliy Glazov
Modified: 2017-04-05 12:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2012-05-14 07:50:18 EDT
Spec URL: https://github.com/RussianFedora/eiskaltdcpp/blob/master/eiskaltdcpp.spec
Patches URL: https://github.com/RussianFedora/eiskaltdcpp
SRPM URL: http://koji.russianfedora.ru/packages/eiskaltdcpp/2.2.6/5.fc17.R/src/eiskaltdcpp-2.2.6-5.fc17.R.src.rpm

Description: 
EiskaltDC++ is a program the uses the Direct Connect protocol. It is compatible
with other DC clients, such as the original DC from Neomodus, DC++ and
derivatives. EiskaltDC++ also interoperates with all common DC hub software.

I am need a sponsor for this package.
Comment 2 Jason Tibbitts 2013-05-20 14:14:00 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This failed to build for me: http://koji.fedoraproject.org/koji/taskinfo?taskID=5401556
Comment 5 Veaceslav Mindru 2013-07-29 11:35:21 EDT
Privet Vasiliy,

Should this be corrected and not be depended on user when installing  SRPM? 

[mindruv@localhost Downloads]$ rpm -ivh /tmp/eiskaltdcpp-2.2.8-1.fc20.R.src.rpm 
Updating / installing...
   1:eiskaltdcpp-2.2.8-1.fc20.R       ################################# [100%]
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
[mindruv@localhost Downloads]$ 


VM
Comment 6 Veaceslav Mindru 2013-07-29 11:51:37 EDT
Privet Vasiliy ,

failed to build for me.


/usr/bin/cmake -E cmake_progress_report /home/mindruv/rpmbuild/BUILD/eiskaltdcpp-2.2.8/CMakeFiles  20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78
[100%] Built target eiskaltdcpp-qt
make[1]: Leaving directory `/home/mindruv/rpmbuild/BUILD/eiskaltdcpp-2.2.8'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.HKldPs (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.HKldPs (%build)
[mindruv@localhost rpmbuild]$
Comment 7 Vasiliy Glazov 2013-07-29 12:44:23 EDT
How you build it? Please attach full log.
Comment 8 Veaceslav Mindru 2013-07-29 14:23:58 EDT
Hello,

after installing all devel packages required i corrupted my libraries :). Everything stopped working. Had to perform update of all packages troubleshooting from init3 was not very convenient and time consuming. 

I will setup a new Fedora18 VM machine and will try to provide an reproduction scenario. 


VM
Comment 9 Veaceslav Mindru 2013-07-29 14:24:38 EDT
One more thing build was done with default rpmbuild options.
Comment 10 Vasiliy Glazov 2013-07-31 02:01:05 EDT
Veaceslav, problem still present? show full build log.
Comment 11 Veaceslav Mindru 2013-07-31 02:33:32 EDT
Hello Vasiliy, i did not have time to build it so far.I will try today and will let you know. 

VM
Comment 12 Christopher Meng 2013-08-30 01:57:40 EDT
1. 2.2.9 is released.

2. Where is zlib-devel/pcre-devel/libattr-devel/libcanberra-gtk3/xmlrpc-c-c++/miniupnpc-devel?

3.  qt-devel >= 4.6.0 should be qt4-devel

4. %description qt
Qt-based graphical interface

%description gtk
Gtk interface based on code of FreeDC++ and LinuxDC++

Missing dot "." .

5. rm -rf %{buildroot}/usr/share/%{name}/examples/*.php

desktop-file-validate %{buildroot}/%{_datadir}/applications/*qt*.desktop

Why don't you use macro?

And, %{buildroot}/%{_datadir} should be %{buildroot}%{_datadir} as %{_datadir} eq /usr/share, already has the slash.

6. Requires:       %{name}-gui = %{version}-%{release}

Auh, shouldn't it be

Requires:       %{name}-gui%{?_isa} = %{version}-%{release}?

7. Since gtk/qt subpackage requires main package, I think you can ship doc once.

So remove the %doc AUTHORS COPYING in 2 subpackages.
Comment 14 Ivan Romanov 2013-11-16 04:22:02 EST
Remove "Group: Applications/Internet". It is not used anymore.
Comment 16 Ivan Romanov 2013-11-16 05:00:02 EST
Rename all QT to Qt. QT is not correct.
Comment 17 Ivan Romanov 2013-11-16 05:17:55 EST
In description use "GTK+ 3" not Gtk and not GTK3.
Probably gtk subpackage should be renamed to gtk3 (because it uses GTK+ 3 library and requires gtk3 package)
Comment 18 Ivan Romanov 2013-11-16 05:19:40 EST
Why you don't use cli-xmlrpc
Comment 19 Ivan Romanov 2013-11-16 05:56:56 EST
drop -DCMAKE_BUILD_TYPE=RelWithDebInfo. %cmake allready has CFLAGS and CXXFLAGS
Comment 20 Vasiliy Glazov 2013-11-21 03:31:25 EST
Spec URL: https://raw.github.com/RussianFedora/eiskaltdcpp/master/eiskaltdcpp.spec
SRPM URL: http://koji.russianfedora.ru/koji/getfile?taskID=91431&name=eiskaltdcpp-2.2.9-2.fc21.R.src.rpm

Removed Group, corrected descriptions, added xmlrpc, dropped -DCMAKE_BUILD_TYPE=RelWithDebInfo.
Comment 22 Ivan Romanov 2013-11-24 06:10:14 EST
Sources use various licenses (BSD, GPLv2+ and GPLv3+). You must clarify this in spec.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario

Also EiskaltDC++ uses bunlded miniupnpc and jsoncpp.
These packages allready is in Fedora. You must explicity remove them in %prep stage
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries#Packages_with_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 25 Parag AN(पराग) 2015-09-23 02:21:16 EDT
*** Bug 676943 has been marked as a duplicate of this bug. ***
Comment 27 Vasiliy Glazov 2016-06-24 03:57:09 EDT
Spec URL: https://raw.github.com/RussianFedora/eiskaltdcpp/master/eiskaltdcpp.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/work/tasks/1883/81883/eiskaltdcpp-2.2.10-2.fc25.src.rpm

Change BR to pkgconfig, use %license macro, clean spec.
Comment 28 Raphael Groner 2017-02-02 14:24:35 EST
Could you look into bug #1385856 for a review swap?
Comment 29 Raphael Groner 2017-02-02 15:45:48 EST
ERROR: 'Error 404 downloading http://koji.russianfedora.pro/kojifiles/work/tasks/1883/81883/eiskaltdcpp-2.2.10-2.fc25.src.rpm'

You shouldn't use koji links for persistence.
Comment 30 Raphael Groner 2017-02-06 16:12:48 EST
Are you still interested in this package?
Comment 31 Vasiliy Glazov 2017-02-07 02:04:13 EST
I am still interesting in this package.
But now it have compile errors in F26 build http://koji.russianfedora.pro/kojifiles/work/tasks/3580/23580/build.log

After solving this errors I update review request.

Yhanks for your interest to it.
Comment 33 Raphael Groner 2017-03-29 20:32:21 EDT
Sorry for the very long delay here. I had to handle a lot of daily job work.

@ignatenkobrain You may be interested here as being an upstream contributor.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
  https://fedoraproject.org/wiki/Packaging:DistTag
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Check did not completechecksum differs and there are problems
  running diff. Please verify manually.
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in eiskaltdcpp-gtk,
  eiskaltdcpp-qt
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database
- FlowLayout.cpp and .h have license LGPLv2+, add this to License tag.
- Add license breakdown.
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios
- Fix directory ownership, see below.
- I don't understand the explicit perl Provides. Could you elaborate?
- Seems to need perl, see below.
- Split a data subpackage for the huge noarch stuff.
- Fix ldconfig in scriptlets, see rpmlint errors below.
  https://fedoraproject.org/wiki/Packaging:Scriptlets#Shared_libraries
- Please drop useless /usr/lib/.build-id file, see rpmlint warnings below.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "BSL (v1.0)", "*No copyright* GPL (v3 or later)", "LGPL
     (v2.1)", "BSD (3 clause)", "BSD (2 clause)", "*No copyright* GPL (v2
     or later)". 1211 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-
     review/821406-eiskaltdcpp/licensecheck.txt
     => Unknown files are no source files. Ignore.
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/eiskaltdcpp/cli
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/eiskaltdcpp/cli
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in eiskaltdcpp
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     eiskaltdcpp-gtk , eiskaltdcpp-qt , eiskaltdcpp-debuginfo
     => Not fully understood, caused by the perl issue.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 9062400 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: eiskaltdcpp-2.2.11-0.20161119git0fa9a73.fc27.x86_64.rpm
          eiskaltdcpp-gtk-2.2.11-0.20161119git0fa9a73.fc27.x86_64.rpm
          eiskaltdcpp-qt-2.2.11-0.20161119git0fa9a73.fc27.x86_64.rpm
          eiskaltdcpp-debuginfo-2.2.11-0.20161119git0fa9a73.fc27.x86_64.rpm
          eiskaltdcpp-2.2.11-0.20161119git0fa9a73.fc27.src.rpm
eiskaltdcpp.x86_64: I: enchant-dictionary-not-found ru
eiskaltdcpp.x86_64: W: spelling-error %description -l en_US interoperates -> inter operates, inter-operates, interpenetrates
eiskaltdcpp.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/libeiskaltdcpp.so.2.3 SSL_CTX_set_cipher_list
eiskaltdcpp.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp.x86_64: E: postin-without-ldconfig /usr/lib64/libeiskaltdcpp.so.2.3
eiskaltdcpp.x86_64: E: postun-without-ldconfig /usr/lib64/libeiskaltdcpp.so.2.3
eiskaltdcpp.x86_64: E: non-empty-%post /sbin/ldconfig
eiskaltdcpp.x86_64: E: non-empty-%postun /sbin/ldconfig
eiskaltdcpp-gtk.x86_64: W: only-non-binary-in-usr-lib
eiskaltdcpp-gtk.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp-gtk.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp-qt.x86_64: W: only-non-binary-in-usr-lib
eiskaltdcpp-qt.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp-qt.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp.src: W: spelling-error %description -l en_US interoperates -> inter operates, inter-operates, interpenetrates
5 packages and 0 specfiles checked; 4 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: eiskaltdcpp-debuginfo-2.2.11-0.20161119git0fa9a73.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
eiskaltdcpp-gtk.x86_64: I: enchant-dictionary-not-found ru
eiskaltdcpp-gtk.x86_64: W: only-non-binary-in-usr-lib
eiskaltdcpp-gtk.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp-gtk.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp.x86_64: W: spelling-error %description -l en_US interoperates -> inter operates, inter-operates, interpenetrates
eiskaltdcpp.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libeiskaltdcpp.so.2.3 /lib64/libpcre.so.1
eiskaltdcpp.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libeiskaltdcpp.so.2.3 /lib64/libm.so.6
eiskaltdcpp.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/libeiskaltdcpp.so.2.3 SSL_CTX_set_cipher_list
eiskaltdcpp.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp.x86_64: E: postin-without-ldconfig /usr/lib64/libeiskaltdcpp.so.2.3
eiskaltdcpp.x86_64: E: postun-without-ldconfig /usr/lib64/libeiskaltdcpp.so.2.3
eiskaltdcpp.x86_64: E: non-empty-%post /sbin/ldconfig
eiskaltdcpp.x86_64: E: non-empty-%postun /sbin/ldconfig
eiskaltdcpp-qt.x86_64: W: only-non-binary-in-usr-lib
eiskaltdcpp-qt.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eiskaltdcpp-qt.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
4 packages and 0 specfiles checked; 4 errors, 12 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/builder/fedora-review/821406-eiskaltdcpp/srpm/eiskaltdcpp.spec        2017-03-30 01:54:57.470761438 +0200
+++ /home/builder/fedora-review/821406-eiskaltdcpp/srpm-unpacked/eiskaltdcpp.spec       2017-02-07 11:38:21.000000000 +0100
@@ -1,5 +1,5 @@
-%global gitcommit_full 3b9c502ff5c98856d4f8fdb7ed3c6ef34448bfb7
+%global gitcommit_full 0fa9a730eb63ba1a4f9440d5a746e8d6df094286
 %global gitcommit %(c=%{gitcommit_full}; echo ${c:0:7})
-%global date 20170207
+%global date 20161119
 
 Name:           eiskaltdcpp
@@ -12,4 +12,5 @@
 URL:            https://github.com/eiskaltdcpp/eiskaltdcpp
 Source0:        %{url}/tarball/%{gitcommit_full}
+Patch0:         %{name}-openssl11.patch
 
 BuildRequires:  cmake >= 2.6.3
@@ -74,5 +75,5 @@
 
 %prep
-%autosetup -n %{name}-%{name}-%{gitcommit}
+%autosetup -p1 -n %{name}-%{name}-%{gitcommit}
 
 # Remove bundled libs
@@ -154,7 +155,4 @@
 
 %changelog
-* Tue Mar 14 2017 Vasiliy N. Glazov <vascom2@gmail.com> 2.2.11-0.20170214git3b9c502
-- Update to last git version
-
 * Tue Feb 07 2017 Vasiliy N. Glazov <vascom2@gmail.com> 2.2.11-0.20161119git0fa9a73
 - Update to last git version


Requires
--------
eiskaltdcpp-debuginfo (rpmlib, GLIBC filtered):

eiskaltdcpp-gtk (rpmlib, GLIBC filtered):
    eiskaltdcpp(x86-64)
    libboost_system.so.1.63.0()(64bit)
    libc.so.6()(64bit)
    libeiskaltdcpp.so.2.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

eiskaltdcpp (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /sbin/ldconfig
    /usr/bin/perl
    hicolor-icon-theme
    libboost_system.so.1.63.0()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libidn.so.11()(64bit)
    libidn.so.11(LIBIDN_1.0)(64bit)
    liblua-5.3.so()(64bit)
    libm.so.6()(64bit)
    libminiupnpc.so.16()(64bit)
    libpcre.so.1()(64bit)
    libpcrecpp.so.0()(64bit)
    libpthread.so.0()(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    libz.so.1(ZLIB_1.2.3.3)(64bit)
    rtld(GNU_HASH)

eiskaltdcpp-qt (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    eiskaltdcpp(x86-64)
    libQt5Concurrent.so.5()(64bit)
    libQt5Concurrent.so.5(Qt_5)(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Declarative.so.5()(64bit)
    libQt5Declarative.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Multimedia.so.5(Qt_5)(64bit)
    libQt5Script.so.5()(64bit)
    libQt5Script.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libQt5Xml.so.5(Qt_5)(64bit)
    libaspell.so.15()(64bit)
    libboost_system.so.1.63.0()(64bit)
    libc.so.6()(64bit)
    libeiskaltdcpp.so.2.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    rtld(GNU_HASH)



Provides
--------
eiskaltdcpp-debuginfo:
    eiskaltdcpp-debuginfo
    eiskaltdcpp-debuginfo(x86-64)

eiskaltdcpp-gtk:
    application()
    application(eiskaltdcpp-gtk.desktop)
    eiskaltdcpp-gtk
    eiskaltdcpp-gtk(x86-64)
    eiskaltdcpp-gui(x86-64)
    mimehandler(x-scheme-handler/adc)
    mimehandler(x-scheme-handler/adcs)
    mimehandler(x-scheme-handler/dchub)
    mimehandler(x-scheme-handler/magnet)

eiskaltdcpp:
    eiskaltdcpp
    eiskaltdcpp(x86-64)
    libeiskaltdcpp.so.2.3()(64bit)
    perl(cli-xmlrpc-config.pl)

eiskaltdcpp-qt:
    application()
    application(eiskaltdcpp-qt.desktop)
    eiskaltdcpp-gui(x86-64)
    eiskaltdcpp-qt
    eiskaltdcpp-qt(x86-64)
    mimehandler(x-scheme-handler/adc)
    mimehandler(x-scheme-handler/adcs)
    mimehandler(x-scheme-handler/dchub)
    mimehandler(x-scheme-handler/magnet)



Source checksums
----------------
https://github.com/eiskaltdcpp/eiskaltdcpp/tarball/3b9c502ff5c98856d4f8fdb7ed3c6ef34448bfb7 :
  CHECKSUM(SHA256) this package     : ERROR
  CHECKSUM(SHA256) upstream package : 254adbfba7259900aa8c8d3019eef3f93a88e7169a0d69733b978ebb92b56ec8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 821406
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 34 Raphael Groner 2017-03-29 21:25:15 EDT
Currently no build possible in rawhide due to a too old qt5-qtsvg.
Though I managed to do a successful scratch build in f26:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18671432
Comment 35 Vasiliy Glazov 2017-03-30 06:01:09 EDT
Spec URL: https://raw.github.com/RussianFedora/eiskaltdcpp/master/eiskaltdcpp.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/9200/18679200/eiskaltdcpp-2.2.11-1.20170207git3b9c502.fc26.src.rpm

Added perl requires.
Corrected %post and %postun sections.
Corrected owning of directory /usr/share/eiskaltdcpp/cli.
Comment 36 Vasiliy Glazov 2017-04-03 03:48:31 EDT
Now can be builded for rawhide too https://koji.fedoraproject.org/koji/taskinfo?taskID=18756819
Comment 37 Raphael Groner 2017-04-04 14:48:54 EDT
Please fix all issues noted in comment #33. After done, I can continue with the review.
Comment 38 Vasiliy Glazov 2017-04-05 02:53:33 EDT
Spec URL: https://raw.github.com/RussianFedora/eiskaltdcpp/master/eiskaltdcpp.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1079/18791079/eiskaltdcpp-2.2.11-2.20170207git3b9c502.fc27.src.rpm

Corrected other issues except:
- Split a data subpackage for the huge noarch stuff.

rpm file not so big to split it.

- Please drop useless /usr/lib/.build-id file, see rpmlint warnings below.

I don't see this file. It is not listed in %files section and packacge not contain it.


Now all issues corrected?
Comment 39 Vasiliy Glazov 2017-04-05 03:09:41 EDT
About /usr/lib/.build-id - it is rpmlint bug in rawhide:

https://bugzilla.redhat.com/show_bug.cgi?id=1431408
Comment 40 Raphael Groner 2017-04-05 12:38:34 EDT
Thanks for the fixes and your quick response. I hope to find some free time slot and can continue the review later in this week.

Note You need to log in before you can comment on or make changes to this bug.